## Class ElencoComandi

    java.lang.Object
      ElencoComandi

    public class ElencoComandi

extends java.lang.Object

Contiene l'elenco dei comandi validi.

Version:
  1.0.0
Author:
  Alessio Treglia

Constructor Summary
`ElencoComandi()`

Method Summary
`boolean` `comandoValido(java.lang.String stringa)` Controlla che una stringa sia un comando accettabile.
`static java.lang.String` `elencoTuttiComandi()` Restituisce una stringa contenente l'elenco dei comandi accettabili

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElencoComandi

    public ElencoComandi()

Method Detail

### elencoTuttiComandi

    public static java.lang.String elencoTuttiComandi()

  Restituisce una stringa contenente l'elenco dei comandi accettabili

  Returns:
    l'elenco dei comandi validi in formato `String`

### comandoValido

    public boolean comandoValido(java.lang.String stringa)

  Controlla che una stringa sia un comando accettabile.

  Parameters:
    `stringa` - `String` da controllare
  Returns:
    `true` se è un comando accettabile